#!/usr/bin/qmake
#
#  qtstalker-plugin-mysql
#
#  Copyright (C) 2007 Marco van Zwetselaar
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

QTSTALKER_TARGET_VERSION = 0.36

TARGET = MySQL.$${QTSTALKER_TARGET_VERSION}
TEMPLATE = lib

CONFIG += debug thread warn_on plugin qt
QMAKE_CXXFLAGS += -O2 -ffast-math

HEADERS += MySQLPlugin.h
SOURCES += MySQLPlugin.cpp
LIBS += -lqtstalker -lmysqlclient

INCLUDEPATH += /usr/include/mysql

target.path = /usr/local/lib/qtstalker/quote
INSTALLS += target

docs.path = /usr/local/share/doc/qtstalker/html
docs.files = *.html
docs.files += *.png
INSTALLS += docs

